Announcement

Collapse
No announcement yet.

Bumping from php 5.2.13 to php 5.3. Is it safe???

Collapse
X
 
  • Filter
  • Time
  • Show
Clear All
new posts

  • Bumping from php 5.2.13 to php 5.3. Is it safe???

    Dear VB Support or anyone with knowledge on this issue.

    My VB board has 3.8 and php 5.2.13. Is it ok for me to bump to php 5.3?
    The reason I ask is that some fairly major changes to PHP syntax were made in php 5.3, and I am afraid something will break in the process!

    Please let me know ASAP.

  • #2
    Reason for edit: mostaken info ... still waiting for an answer.
    Last edited by falconking; Tue 27th Jul '10, 7:36pm.

    Comment


    • #3
      Are you running 3.8.0 exactly or a more recent version?

      We had a forum break with PHP 5.3 that was a 3.8 site, but later found it to be a mis-configuration in PHP.

      As of this moment, I've got two 3.8.6 PL1 sites running fine on PHP 5.3.2 (Windows FastCGI) and the upgrade was painless. We're mostly Windows servers, so I can't speak directly about Linux servers... but I figure it's probably easier to upgrade them. Windows binaries have thread-safe and non-thread safe options at the PHP 5.3 level.. . can get messy if you don't know what you're doing.

      Well the overall points to take away:

      - VB3.8 works fine with PHP 5.3
      - Have a backout plan if you run into problems upgrading the PHP
      To be updated...

      Comment

      widgetinstance 262 (Related Topics) skipped due to lack of content & hide_module_if_empty option.
      Working...
      X